Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.lang
Class MethodIndexAction

Field Summary
`def` | `METHOD_INDEX_COPIER`
`def` | `NAME_INDEX_COPIER`

Constructor Summary
`MethodIndexAction()`

Method Summary
`void` | `clearInvocationCaches()` remove all method call cache entries.
`Object` | `getAttribute(Object object, String attribute)`
`Object` | `getProperty(Object object, String property)`
`void` | `iterate()`
`void` | `methodNameAction(Class clazz, def methods)`
`MetaMethod` | `pickMethod(String methodName, def arguments)`
`MetaMethod` | `retrieveMethod(String methodName, def arguments)`
`void` | `setAttribute(Object object, String attribute, Object newValue)`
`void` | `setProperty(Object object, String property, Object newValue)`
`boolean` | `skipClass(Class clazz)`

Constructor Detail

### MethodIndexAction

    MethodIndexAction()

Method Detail

### clearInvocationCaches

    void clearInvocationCaches()

  remove all method call cache entries. This should be done if a method is added during runtime, but not by using a category.

### getAttribute

    public Object getAttribute(Object object, String attribute)

### getProperty

    public Object getProperty(Object object, String property)

### iterate

    public void iterate()

### methodNameAction

    public void methodNameAction(Class clazz, def methods)

### pickMethod

    public MetaMethod pickMethod(String methodName, def arguments)

### retrieveMethod

    MetaMethod retrieveMethod(String methodName, def arguments)

  deprecated:
    use pickMethod instead

### setAttribute

    public void setAttribute(Object object, String attribute, Object newValue)

### setProperty

    public void setProperty(Object object, String property, Object newValue)

### skipClass

    public boolean skipClass(Class clazz)